#include "CTimer.h"
#include "stdafx.h"

CTimer::CTimer()
{
  	this->i_creation_time = GetTickCount();
	reset();
}

void CTimer::reset()
{
   this->i_timer_start = GetTickCount();
  this->i_interval = C_INTERVAL_DISABLED;
  i_stop_time = -1;
}

int CTimer::get_elapsed_milliseconds()
{
  	if (i_stop_time != -1)
	return i_stop_time;
	return (GetTickCount() -i_timer_start);
}



void CTimer::set_interval(int i_new_interval)
{
  this->i_interval = i_new_interval;
  i_timer_start = GetTickCount();
}



bool CTimer::interval_reached()
{
	if (i_timer_start+i_interval <= (int)GetTickCount())
  {
    //interval has been reached.  Reset it
	i_timer_start = GetTickCount();
	return true;
  }
	//not yet!
 	return false;
}