#include "CThingSheep.h"
#include "CGlobals.h"
#include "CThingMouse.h"
#include "CSoundPlayer.h"
#include "CThingLogic.h"


CThingSheep::CThingSheep()
{
   m_b_sex_male = (random(2) == 1);
   g_sound_player.Play(C_SOUND_TOILET);
  //init the sheep
   if (m_b_sex_male)
   SetAnim("sheep1_m.bmp", 50,150,3);

      if (!m_b_sex_male)
   SetAnim("sheep1_f.bmp", 50,150,3);

  
      

   //SetPosition(random(800),random(600));
    m_i_state = C_SHEEP_STATE_WAIT;
    SetKillTimer(3900);
   
    
    m_timer_wait.set_interval(300);
 
  
    //randomly set which bathroom they are coming out of
    m_b_bathroom_male = (random(2) == 1);
   
    if (m_b_bathroom_male)
    {
        SetPosition(467, 231);
        m_f_dir = 0.9f;

    
    }   else
    {
        SetPosition(336, 231);
        m_f_dir = 5.7f;
        SetHFlip(true);

    }


}

void CThingSheep::ProcessMessage(int i_message, void *p_struct)
{
    CMessage *p_mess = (CMessage*)p_struct;

    if ( (i_message == C_MESSAGE_LEFT_CLICK) && (!p_mess->m_b_hit) )
    {
        //did we get clicked?
        if (glo.p_mouse && (m_i_state != C_SHEEP_STATE_HIT) && glo.p_logic->GetMud() > 0)
        {
             //hack to do a sprite/coord check
            glo.p_hack_sprite->SetPos(glo.p_mouse->GetX(), glo.p_mouse->GetY());

            
            if (m_sprite.SpriteHitPixel(glo.p_hack_sprite))
           {
          
                glo.p_logic->ModMud(-1);
       
                p_mess->m_b_hit = true; //notify all other instances to ignore this message
               //   CDXLOG("Got hit!");
              if (
                 (m_b_sex_male && m_b_bathroom_male) ||
                 (!m_b_sex_male && !m_b_bathroom_male)
                 )
             {
             

               g_sound_player.Play(C_SOUND_SPLAT);
               m_f_dir = frandom(6.28f);
               m_f_vel = 700;
               SetSpecial(C_THING_SPRITE_BOUNCE_AND_DIE);  //make it shake
              // SetDeleteRequest(true); //kill us
               SetAnimType(C_THING_ANIM_NONE);
               SetFrame(3);
               m_i_state = C_SHEEP_STATE_HIT;
               glo.p_logic->ModScore(10);
               glo.p_logic->GotHit(); //for combo counting
    
              /*
               int i_rand = random_range(1, 3);
               if (i_rand == 1) m_sound.Load(glo.m_p_sound, "sheep_correct2.wav");
               if (i_rand == 2) m_sound.Load(glo.m_p_sound, "sheep_correct2.wav");
               if (i_rand == 3) m_sound.Load(glo.m_p_sound, "sheep_correct2.wav");
               */

               //m_sound.Play();

             }
              else
              {
                  //they clicked wrong
              SetSpecial(C_THING_SPRITE_BOUNCE_AND_DIE);  //make it shake
              // SetDeleteRequest(true); //kill us
               SetAnimType(C_THING_ANIM_NONE);
               SetFrame(3);
               m_i_state = C_SHEEP_STATE_HIT;
               glo.p_logic->ClearCombo();
           
               int i_rand = random_range(1, 2);
               if (i_rand == 1) m_sound.Load(glo.m_p_sound, "sheep_wrong1.wav");
               if (i_rand == 2) m_sound.Load(glo.m_p_sound, "sheep_wrong2.wav");
                        m_sound.Play();
                glo.p_logic->ModLives(-1);

                }
            
           }
        }

    }

}

void CThingSheep::Think()
{
  CThingAnim::Think();
   
  
  if (GetDeleteRequest())
  {
      //we are about to be delete.  Did we score a point or not?
      if  (m_i_state != C_SHEEP_STATE_HIT)
      {
          if (
              (m_b_sex_male && m_b_bathroom_male) ||
              (!m_b_sex_male && !m_b_bathroom_male)
              )
          {
              //wrong door!
               g_sound_player.Play(C_SOUND_MISTAKE);
               SetKillTimer(1000);
               m_f_dir = 3.14f;
               m_f_vel = 700;
               SetSpecial(C_THING_SPRITE_BOUNCE_AND_DIE);  //make it shake
               m_i_state = C_SHEEP_STATE_HIT; //don't get processed here again
               SetDeleteRequest(false); //don't die yet
               glo.p_logic->ModLives(-1);

          } else
          {
              //correct door
              g_sound_player.Play(C_SOUND_POINT);
              glo.p_logic->ModScore(10);
          }
      }
  }
  
  if (m_i_state == C_SHEEP_STATE_WAIT)
   {
       if (m_timer_wait.interval_reached())
       {
            m_i_state = C_SHEEP_STATE_WALK;
            m_f_vel = 100;
           SetAnimType(C_THING_ANIM_NORMAL);
           SetMaxFrameOfAnim(2); //so we don't show the 'hit frame' in the normal walking
       }
   }

}