#pragma once

#include "stdafx.h"

#ifndef SAFE_RELEASE
#define SAFE_RELEASE(p)      { if(p) { (p)->Release(); (p)=NULL; } }
#endif
#define SAFE_FREE(p)      { if(p) { free(p); (p)=NULL; } }
#define SAFE_DELETE_ARRAY(p) { if(p) { delete[] (p);   (p)=NULL; } }


#ifndef SAFE_DELETE
#define SAFE_DELETE(p)      { if(p) { delete (p); (p)=NULL; } }
#endif


inline int random_range(long i_small, long i_large)
{
    if (i_large == 0) return 0;
    if (i_large == i_small) return i_small;
    i_large++;
    
   	return (   (((int)rand() * (i_large-i_small)) / RAND_MAX))  + i_small;
    
    
}


inline int random(long i_max)
{
    return (rand()%i_max);
}

inline float frandom_range(float min, float max)
{ 
    return ((float)rand() / RAND_MAX) * (max-min) + min;
}


inline float frandom(float f_max)
{
    
   return frandom_range(0, f_max);
}


void getdir(char final[]);
void switch_to_current_dir();